<div>
  <form action="" >
    <div>
      <label for="email">E-mail:</label>
      <br>
      <input type="email" id="email" name="email" [(ngModel)]="email"  required>
      <!-- <div *ngIf="email?.touched">
        <div *ngIf="email?.errors?.required">
          O campo título é obrigatório
        </div>
        <div *ngIf="email?.errors?.email">
          O campo título deve ter ao menos 5 caracteres
        </div>
      </div> -->
    </div>

    <div>
      <label for="password">Senha:</label>
      <br>
      <input type="password" id="password" name="password" [(ngModel)]="password"  minlength="8" required>
    </div>

    <div>
      <label for="password_confirm">Confirmar senha:</label>
      <br>
      <input type="password" id="password_confirm" name="password_confirm" minlength="8" [(ngModel)]="password_confirm"  required>
      <!-- <div *ngIf="password_confirm?.touched">
        <div *ngIf="password_confirm?.errors?.required">
          O campo título é obrigatório
        </div>
        <div *ngIf="password_confirm?.errors?.email">
          O campo título deve ter ao menos 5 caracteres
        </div>
      </div> -->
    </div>
    <br>
    <button (click)="signUp()">Sign Up</button>
  </form>
</div>
